Subject: Re: [PATCH v3 4/4] usb: musb: Add support for MediaTek musb controller

From: Bin Liu <[email-masked]>
Date: Fri, 18 Jan 2019 07:34:08 -0600

Hi Min,

On Fri, Jan 18, 2019 at 02:14:14PM +0800, Min Guo wrote:
> On Thu, 2019-01-17 at 06:33 -0800, Tony Lindgren wrote:
> > Hi,
> > 
> > * [email-masked] <[email-masked]> [190117 07:16]:
> > > There are some quirk of MediaTek musb controller, such as:
> > >  -W1C interrupt status registers
> > >  -Private data toggle registers
> > >  -No dedicated DMA interrupt line
> > 
> > Can you please separate the musb generic changes listed above
> > into separate individual patches in preparation for adding
> > support for new hardware?
> > 
> > Otherwise we'll have hard time finding out with git bisect what
> > exactly breaks things if we run into trouble.
> 
> Thanks for your suggestion.
> I prepared to divide these changes into separate patches. Later, Mr.Bin
> suggested not to do this.

Initially I thought the clearb/w() changes should be just a couple
lines, so didn't think to separate it. But after reviewed the final
implemenation, I agree Tony's comment is the right thing to do, please
separate the musb core changes, each for clearb/w(), get/set_toggle(),
and dma.

Regards,
-Bin.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel